##
##  newlib.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         newlib
Summary:      Minimum Standard and Math C Library
URL:          http://sources.redhat.com/newlib/
Vendor:       Jeff Johnston et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Libraries
License:      GPL
Version:      2.5.0.20170922
Release:      20170923

#   list of sources
Source0:      ftp://sources.redhat.com/pub/newlib/newlib-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Newlib is a C library intended for use on embedded systems. It is
    a conglomeration of several library parts, all under free software
    licenses that make them easily usable on embedded products. It
    provides a minimum libc and libm.

%track
    prog newlib = {
        version   = %{version}
        url       = ftp://sources.redhat.com/pub/newlib/
        regex     = newlib-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    (   cd newlib
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        ./configure \
            --prefix=%{l_prefix} \
            --disable-shared \
            --enable-static
        %{l_make} %{l_mflags}
    ) || exit $?

%install
    (   cd newlib
        %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    ) || exit $?
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include/newlib \
        $RPM_BUILD_ROOT%{l_prefix}/lib/newlib
    mv  $RPM_BUILD_ROOT%{l_prefix}/include/*.h \
        $RPM_BUILD_ROOT%{l_prefix}/include/newlib/
    mv  $RPM_BUILD_ROOT%{l_prefix}/include/{bits,machine,sys} \
        $RPM_BUILD_ROOT%{l_prefix}/include/newlib/
    mv  $RPM_BUILD_ROOT%{l_prefix}/lib/*.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/newlib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

